dpkg-vendor(1)

NOME
dpkg-vendor - recolhe informação acerca dos fornecedores da distribuição

RESUMO
dpkg-vendor [option...] command

DESCRIÇÃO
dpkg-vendor é uma ferramenta para inquirir informação acerca dos fornecedores listados em /usr/pkg/share/dpkg/dpkg/origins. /usr/pkg/share/dpkg/dpkg/origins/default contém informação acerca do fornecedor actual.

Os ficheiros origin fornecem metadados acerca de fornecedores específicos, tais coo o seu URL ou onde preencher relatórios de bug, e são geralmente usados tanto para determinar o comportamento de ferramentas e conteúdos resultantes durante compilações do pacote que visam um fornecedor específico, como para descrever a proveniência dos pacotes.

Os pacotes podem explicitamente especificar o seu fornecedor ao incluir um campo Origin, caso contrário o fornecedor para um pacote que não tenha tal campo é assumido que seja aquele apontado pelo link simbólico predefinido origin.

O link simbólico default é também usado para denotar a origem da instalação actual gerida pelo dpkg, seja uma distribuição completa ou uma sobreposição no topo de um sistema base existente que contém ou nenhum sistema de empacotamento ou um nativo.

Este programa foi introduzido no dpkg 1.15.1.

COMANDOS

--is vendor
    Termina com 0 se o fornecedor actual for vendor. Caso contrário, termina com 1.

--derives-from vendor
    Termina com 0 se o fornecedor actual da distribuição é um derivativo de vendor, caso contrário termina com 1. Usa o campo Parent para explorar todos os ancestrais do fornecedor actual.

--query field
    Escreve na saída standard o valor do field vendor-specific para o fornecedor actual.

--help
    Mostra a mensagem de utilização e termina.

--version
    Mostra a versão e termina.

OPÇÕES

--vendor vendor
    Assume que o actual fornecedor é fornecedor em vez de o descobrir com a variável de ambiente DEB_VENDOR ou /usr/pkg/share/dpkg/dpkg/origins/default.

AMBIENTE

DEB_VENDOR
    Esta definição define o fornecedor actual. Se não definida, irá descobrir o fornecedor actual ao ler /usr/pkg/share/dpkg/dpkg/origins/default.

DPKG_COLORS
    Define o modo de cor (desde dpkg 1.18.5). Os valores actualmente aceites são: auto (predefinido), always e never.

DPKG_NLS
    Se definida, será usada para decidir se deve activar o Suporte a Linguagem Nativa. Também como conhecido como suporte de internacionalização (ou i18n) (desde dpkg 1.19.0). Os valores aceites são 0 e 1 (predefinição).

FICHEIROS

  Suporte a empacotamento

/usr/pkg/share/dpkg/vendor.mk
    Fragmento do Makefile que define o fornecedor actual e o seu pai em variáveis, e fornece macros do make para verificar por derivativos (desde dpkg 1.16.1).

VEJA TAMBÉM
deb-origin(5).

TRADUÇÃO
Américo Monteiro

Se encontrar algum erro na tradução deste documento, por favor comunique para Américo Monteiro <a_monteiro@gmx.com>.